// App
// -----------------------------------------------------------------------------
import { TypeIncidentEffect } from 'types/default';
import { GenericDataStore } from './GenericDataStore';
import { environment } from 'enviroments/enviroments';

export class IncidentsEffectsStore extends GenericDataStore<TypeIncidentEffect> {
  constructor() {
    super(environment.endPoints.incidents.effects);
    this.override();
  }

  getId = (entity: TypeIncidentEffect): number => entity.id;

  getName = (entity: TypeIncidentEffect): string => entity.name;
}
